
Redmine - Defect #31466

Error assigning a task to a user whose role does not allow it

2019-05-28 14:01 - Miguel Rodriguez Hernando

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.3.1

Description

Hi,

We have found an error in the roles of the users.

we have a user called for example "*user1*" with a "*reporter*" role but in this role the option "*Issues can be assigned to this role*" is

disabled.

It happens that another user with a "*developer*" role or any other user that can assign tasks to another user, allows you to assign it

to "user1" when it should not be possible because the latter belongs to the role of "reporter".

This is our environment:

Redmine version 3.3.1.stable

Ruby version 2.3.3-p222 (2016-11-21) [x86_64-linux-gnu]

Rails version 4.2.7.1

Environment production

Database adapter Mysql2

SCM:

Git 2.11.0

Filesystem

Redmine plugins:

no plugin installed

Best regards

Related issues:

Is duplicate of Redmine - Defect #30771: Author of issue is listed at assigne... Closed

Has duplicate Redmine - Defect #31595: Error allowing assigning a task to a u... Closed

History

#1 - 2019-06-20 13:18 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

The author of an issue can always be set as an assignee. This is an intended behavior implemented in r4240.

Closing as a duplicate of #30771.

#2 - 2019-06-20 13:19 - Go MAEDA

- Is duplicate of Defect #30771: Author of issue is listed at assignee drop box added

#3 - 2019-12-08 06:58 - Go MAEDA

- Has duplicate Defect #31595: Error allowing assigning a task to a user when his role does not allow it added
